怎样修复“应用程序已损坏,无法用于安装 macOS”Monterey 错误

最后更新于 2021 年 10 月 18 日

通过 macOS 安装程序应用程序安装 macOS 更新时,您可能会发现提示错误,“此安装 macOS 副本 [version]-save.app 应用程序已损坏,无法用于安装 macOS。” 不幸的是,无法使用此错误消息安装 macOS 并将其更新到最新的 macOS 更新。 为什么Mac显示应用程序已损坏,不能用于安装macOS? 当证书过期安装 macOS 更新时会发生这种情况; 但是,有几种解决方法可以解决此问题并安装 macOS 更新。

如果本文未涵盖您的解决方案,我们很乐意为您提供帮助,请提交此表格。

确保您的 Mac 已连接到稳定的互联网连接,如果您使用的是 MacBook,请保持充电或插入充电以完美完成该过程,而不会粘在任何地方。

修复“适用已损坏,无法用于安装macOS”错误

方法一:删除并重新安装 macOS 系统安装程序

消除错误的最简单方法,“此安装 macOS .app 应用程序的副本已损坏,无法用于安装 macOS。” 在安装新的 macOS 更新时从 Mac 移除安装程序并将其重新安装为新的。 新的安装程序将附带一个显然没有过期的新证书。

访问 苹果官方页面 下载 macOS 安装程序。

从“此安装 macOS High Sierra.app 应用程序副本已损坏,无法用于安装 macOS”下载 macOS 安装程序。 页面,下载后,重新启动 Mac。

每个 macOS 版本的错误消息看起来都不同,但它是相同的,但您会在错误中找到一个 macOS 更新名称。

  • “此安装 macOS Monterey.app 应用程序副本已损坏,无法用于安装 macOS。”
  • “此安装 macOS Mojave.app 应用程序副本已损坏,无法用于安装 macOS。”
  • “此 Install macOS High Sierra.app 应用程序副本已损坏,无法用于安装 macOS。”
  • “安装 macOS Sierra.app 应用程序的此副本已损坏,无法用于安装 macOS。”

方法二:修改应用安装程序

在这里,我们要求您删除可以使 macOS 安装程序正常工作的文件之一。 这是我们目前看到的唯一第二种可行的解决方案; 否则,只需联系 Apple 以获得更多支持。

  1. 打开 发现者 在您的 Mac 中。
  2. 点击 应用 在边栏中。
  3. 现在找到 macOS Mojave 安装程序 从应用程序列表中。
  4. 右键单击 macOS 安装程序.
  5. 选择 显示包装内容.
  6. 选择 内容 文件夹。
  7. 找到并点击 共享支持.
  8. 删除 “安装信息.plist” 文件。
  9. 可能会要求您输入管理员密码,输入并确认。
  10. 删除该文件后,运行安装程序并查看是否有效。
  11. 如果此技巧对您不起作用,请按照方法 1 并重新安装应用程序安装程序。

删除并重新下载/安装 MacOS

从 Mac finder 上的 Applications 文件夹中删除部分下载的 MacOS 文件。 并删除文件。

然后返回 Mac 上的系统偏好设置 > 软件更新 > 下载 MacOS 12 的最新副本 [Monterey] 在 Mac 上并安装.

如果仍然无法正常工作,那么安装应用程序或设置的问题。 所以尝试在安全模式下下载和安装软件更新。

以安全模式下载并安装

Mac 上的安全模式检查 Mac 启动时的软件问题,并在 Mac 以安全模式重新启动时自动修复。 因此,请确定 Mac 型号 M1 或 Intel Mac 并了解怎样将您的 Mac 置于安全模式。 接下来,在您的 Mac 上下载并安装最新的 macOS。

现在,在下次重新启动时,您的 Mac 会自动退出安全模式。

恢复模式重新安装

这也是下载 MacOS 最新副本并进行安装的安全方法,不会丢失或设置任何数据。 因此,首先将您的 Mac 置于恢复模式并选择重新安装 macOS 的选项,仅此而已。

为了您的数据安全,我建议您使用 Time Machine 备份。

另外,请评测我此修复对您有何帮助,并在评测框中分享您的建议。